Subject: pruning herbs

From: The Kinard Family <[email-masked]>
Date: Tue, 28 Feb 95 09:57:56 -0500

HI!

Just doing all my spring clean-up. Cut back all the plants that were 
winter dead....I like to leave them up till they are just about to 
regrow. Anyway, I have several herb plants that haven't died back and 
I don't know if they will benefit from a pruning. If I do prune them 
back toencourage new spring growth..how much?
Grey santolina
garden sage
curry plant
rosemary
lovage
oregano
thyme

Thanks for any help!
-Lyric
--

  The Kinard Family - Marcel, Lyric, Haven (and ?)
  [email-masked]